Index: /branches/branch-1_6/admin/element_set_global.php
===================================================================
--- /branches/branch-1_6/admin/element_set_global.php	(revision 1312)
+++ /branches/branch-1_6/admin/element_set_global.php	(revision 1313)
@@ -278,8 +278,25 @@
 }
 
+$all_tags = get_all_tags();
+
+if (count($all_tags) == 0)
+{
+  $add_tag_selection =
+    '<p>'.
+    l10n('No tag defined. Use Administration>Pictures>Tags').
+    '</p>';
+}
+else
+{
+  $add_tag_selection = get_html_tag_selection(
+    get_all_tags(),
+    'add_tags'
+    );
+}
+
 // add tags
 $template->assign_vars(
   array(
-    'ADD_TAG_SELECTION' => get_html_tag_selection(get_all_tags(), 'add_tags'),
+    'ADD_TAG_SELECTION' => $add_tag_selection,
     )
   );
Index: /branches/branch-1_6/admin/element_set_unit.php
===================================================================
--- /branches/branch-1_6/admin/element_set_unit.php	(revision 1312)
+++ /branches/branch-1_6/admin/element_set_unit.php	(revision 1313)
@@ -225,4 +225,20 @@
     {
       list($year,$month,$day) = array('','','');
+    }
+
+    if (count($all_tags) > 0)
+    {
+      $tag_selection = get_html_tag_selection(
+        $all_tags,
+        'tags-'.$row['id'],
+        $selected_tags
+        );
+    }
+    else
+    {
+      $tag_selection =
+        '<p>'.
+        l10n('No tag defined. Use Administration>Pictures>Tags').
+        '</p>';
     }
     
@@ -244,9 +260,5 @@
         'DATE_CREATION_YEAR' => $year,
         
-        'TAG_SELECTION' => get_html_tag_selection(
-          $all_tags,
-          'tags-'.$row['id'],
-          $selected_tags
-          ),
+        'TAG_SELECTION' => $tag_selection,
         )
       );
Index: /branches/branch-1_6/admin/picture_modify.php
===================================================================
--- /branches/branch-1_6/admin/picture_modify.php	(revision 1312)
+++ /branches/branch-1_6/admin/picture_modify.php	(revision 1313)
@@ -199,4 +199,22 @@
   );
 
+$all_tags = get_all_tags();
+
+if (count($all_tags) > 0)
+{
+  $tag_selection = get_html_tag_selection(
+    get_all_tags(),
+    'tags',
+    $selected_tags
+    );
+}
+else
+{
+  $tag_selection =
+    '<p>'.
+    l10n('No tag defined. Use Administration>Pictures>Tags').
+    '</p>';
+}
+  
 $template->assign_vars(
   array(
@@ -226,9 +244,5 @@
     'CREATION_DATE' => $date,
 
-    'TAG_SELECTION' => get_html_tag_selection(
-      get_all_tags(),
-      'tags',
-      $selected_tags
-      ),
+    'TAG_SELECTION' => $tag_selection,
 
     'DESCRIPTION' =>
Index: /branches/branch-1_6/language/en_UK.iso-8859-1/admin.lang.php
===================================================================
--- /branches/branch-1_6/language/en_UK.iso-8859-1/admin.lang.php	(revision 1312)
+++ /branches/branch-1_6/language/en_UK.iso-8859-1/admin.lang.php	(revision 1313)
@@ -111,4 +111,5 @@
 $lang['New parent category'] = 'New parent category';
 $lang['New tag'] = 'New tag';
+$lang['No tag defined. Use Administration>Pictures>Tags'] = 'No tag defined. Use Administration>Pictures>Tags';
 $lang['No'] = 'No';
 $lang['Number of comments per page'] = 'Number of comments per page';
@@ -255,7 +256,6 @@
 $lang['name'] = 'name';
 $lang['nbm_background_treatment_redirect'] = 'Execution time is out, treatment must be continue [Estmated time: %d secondes].';
-$lang['nbm_redirect_msg'] = 'Processing treatment.'."\n\n".'Please wait...';
-$lang['nbm_repost_submit'] = 'Continue processing treatment';
 $lang['nbm_break_timeout_list_user'] = 'Prepared time for list of users to send mail is limited. Others users are not listed.';
+$lang['nbm_break_timeout_send_mail'] = 'Time to send mail is limited. Others mails are skipped.';
 $lang['nbm_col_check_user_send_mail'] = 'To send ?';
 $lang['nbm_col_last_send'] = 'Last send';
@@ -281,5 +281,4 @@
 $lang['nbm_msg_n_mails_sent'] = '%d mails were sent.';
 $lang['nbm_msg_no_mail_to_send'] = '%d mails were not sent.';
-$lang['nbm_break_timeout_send_mail'] = 'Time to send mail is limited. Others mails are skipped.';
 $lang['nbm_no_mail_to_send'] = 'No mail to send.';
 $lang['nbm_no_user_available_to_send_L1'] = 'No user are available in order to send mail.';
@@ -291,4 +290,6 @@
 $lang['nbm_object_unsubcribe'] = 'Unsubcribe from notification by mail';
 $lang['nbm_param_mode'] = 'Parameter';
+$lang['nbm_redirect_msg'] = 'Processing treatment.'."\n\n".'Please wait...';
+$lang['nbm_repost_submit'] = 'Continue processing treatment';
 $lang['nbm_send_check_all'] = 'Check All';
 $lang['nbm_send_complementary_mail_content'] = 'Complementary mail content';
Index: /branches/branch-1_6/language/fr_FR.iso-8859-1/admin.lang.php
===================================================================
--- /branches/branch-1_6/language/fr_FR.iso-8859-1/admin.lang.php	(revision 1312)
+++ /branches/branch-1_6/language/fr_FR.iso-8859-1/admin.lang.php	(revision 1313)
@@ -112,4 +112,5 @@
 $lang['New parent category'] = 'Nouvelle catégorie parente';
 $lang['New tag'] = 'Nouveau tag';
+$lang['No tag defined. Use Administration>Pictures>Tags'] = 'Aucun tag défini. Utiliser l\'écran Adminstration>Images>Tags';
 $lang['No'] = 'Non';
 $lang['Number of comments per page'] = 'Nombre de commentaires utilisateur par page';
@@ -159,7 +160,7 @@
 $lang['Submit'] = 'Valider';
 $lang['Sum of rates'] = 'Somme des notes';
+$lang['Tag "%s" already exist'] = 'Le tag "%s" existe déjà';
+$lang['Tag "%s" was added'] = 'Le tag "%s" a été ajouté';
 $lang['Tag selection'] = 'Sélection de tags';
-$lang['Tag "%s" was added'] = 'Le tag "%s" a été ajouté';
-$lang['Tag "%s" already exist'] = 'Le tag "%s" existe déjà';
 $lang['Take selected elements out of caddie'] = 'Sortir les éléments sélectionnés du panier';
 $lang['Unable to check for upgrade since allow_url_fopen is disabled.'] = 'Impossible de connaître la dernière version cat la fonction allow_url_fopen est désactivée.';
@@ -258,7 +259,6 @@
 $lang['name'] = 'nom';
 $lang['nbm_background_treatment_redirect'] = 'Le temps d\'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d secondes].';
-$lang['nbm_redirect_msg'] = 'Traitement en cours.'."\n".'Veuillez patienter...';
-$lang['nbm_repost_submit'] = 'Continuer le traitement en cours...';
 $lang['nbm_break_timeout_list_user'] = 'Le temps de préparation de la liste des utilisateurs pour l\'envoi est limité. Les autres utilisateurs ne sont pas listés.';
+$lang['nbm_break_timeout_send_mail'] = 'Le temps d\'envoi des mails est limité. Les autres envois de mail ont été ignorés.';
 $lang['nbm_col_check_user_send_mail'] = 'A envoyer ?';
 $lang['nbm_col_last_send'] = 'Dernier envoi';
@@ -284,5 +284,4 @@
 $lang['nbm_msg_n_mails_sent'] = '%s mails ont été envoyés.';
 $lang['nbm_msg_no_mail_to_send'] = '%s mails n\'ont pas été envoyés.';
-$lang['nbm_break_timeout_send_mail'] = 'Le temps d\'envoi des mails est limité. Les autres envois de mail ont été ignorés.';
 $lang['nbm_no_mail_to_send'] = 'Pas de mail à envoyer.';
 $lang['nbm_no_user_available_to_send_L1'] = 'Il n\'y a pas d\'utilisateur à notifier par mail.';
@@ -294,4 +293,6 @@
 $lang['nbm_object_unsubcribe'] = 'Désinscription à la notification par mail';
 $lang['nbm_param_mode'] = 'Paramétrage';
+$lang['nbm_redirect_msg'] = 'Traitement en cours.'."\n".'Veuillez patienter...';
+$lang['nbm_repost_submit'] = 'Continuer le traitement en cours...';
 $lang['nbm_send_check_all'] = 'Tout cocher';
 $lang['nbm_send_complementary_mail_content'] = 'Contenu complémentaire du mail';
Index: /branches/branch-1_6/search.php
===================================================================
--- /branches/branch-1_6/search.php	(revision 1312)
+++ /branches/branch-1_6/search.php	(revision 1313)
@@ -178,4 +178,15 @@
 $template->set_filenames( array('search'=>'search.tpl') );
 
+$template->assign_vars(
+  array(
+    'TODAY_DAY' => date('d', time()),
+    'TODAY_MONTH' => date('m', time()),
+    'TODAY_YEAR' => date('Y', time()),
+    'S_SEARCH_ACTION' => 'search.php',
+    'U_HELP' => PHPWG_ROOT_PATH.'popuphelp.php?page=search',
+    'U_HOME' => make_index_url(),
+    )
+  );
+
 $available_tags = get_available_tags(
       isset($user['forbidden_categories'])
@@ -183,21 +194,21 @@
       : null
       );
-usort( $available_tags, 'name_compare');
-
-$template->assign_vars(array(
-  'TODAY_DAY' => date('d', time()),
-  'TODAY_MONTH' => date('m', time()),
-  'TODAY_YEAR' => date('Y', time()),
-  'S_SEARCH_ACTION' => 'search.php',
-  'U_HELP' => PHPWG_ROOT_PATH.'popuphelp.php?page=search',
-  'U_HOME' => make_index_url(),
-
-  'TAG_SELECTION' => get_html_tag_selection(
-    $available_tags,
-    'tags',
-    isset($_POST['tags']) ? $_POST['tags'] : array()
-    ),
-  )
-);
+
+if (count($available_tags) > 0)
+{
+  usort( $available_tags, 'name_compare');
+
+  $template->assign_block_vars('tags', array());
+  
+  $template->assign_vars(
+    array(
+      'TAG_SELECTION' => get_html_tag_selection(
+        $available_tags,
+        'tags',
+        isset($_POST['tags']) ? $_POST['tags'] : array()
+        ),
+      )
+    );
+}
 
 //------------------------------------------------------------- categories form
Index: /branches/branch-1_6/template/yoga/search.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/search.tpl	(revision 1312)
+++ /branches/branch-1_6/template/yoga/search.tpl	(revision 1313)
@@ -37,4 +37,6 @@
   </label>
 </fieldset>
+
+<!-- BEGIN tags -->
 <fieldset>
   <legend>{lang:Search tags}</legend>
@@ -43,4 +45,5 @@
   <label><span><input type="radio" name="tag_mode" value="OR" /> {lang:Any tag}</span></label>
 </fieldset>
+<!-- END tags -->
 
 <fieldset>