Index: trunk/include/common.inc.php
===================================================================
--- trunk/include/common.inc.php	(revision 1376)
+++ trunk/include/common.inc.php	(revision 1377)
@@ -199,5 +199,13 @@
 
 // include template/theme configuration
-list($user['template'], $user['theme']) = explode('/', $user['template']);
+if (defined('IN_ADMIN') and IN_ADMIN)
+{
+  list($user['template'], $user['theme']) = explode('/', $conf['admin_layout']);
+// TODO : replace $conf['admin_layout'] by $user['admin_layout']
+}
+else
+{
+  list($user['template'], $user['theme']) = explode('/', $user['template']);
+}
 // TODO : replace initial $user['template'] by $user['layout']
 
Index: trunk/include/config_default.inc.php
===================================================================
--- trunk/include/config_default.inc.php	(revision 1376)
+++ trunk/include/config_default.inc.php	(revision 1377)
@@ -481,3 +481,10 @@
 $conf['nbm_max_treatment_timeout_percent'] = 0.8;
 
+// +-----------------------------------------------------------------------+
+// | Set default admin layout                                              |
+// +-----------------------------------------------------------------------+
+
+// Must be user setable in future
+$conf['admin_layout']='yoga/dark';
+
 ?>
Index: trunk/include/menubar.inc.php
===================================================================
--- trunk/include/menubar.inc.php	(revision 1377)
+++ trunk/include/menubar.inc.php	(revision 1377)
@@ -0,0 +1,304 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $Id:$
+// | last update   : $Date:$
+// | last modifier : $Author:$
+// | revision      : $Revision:$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+/**
+ * This file is included by the main page to show the menu bar
+ *
+ */ 
+$template->set_filenames(
+  array(
+    'menubar' => 'menubar.tpl',
+    )
+  );
+
+$template->assign_vars(
+  array(
+    'NB_PICTURE' => $user['nb_total_images'],
+    'USERNAME' => $user['username'],
+    'MENU_CATEGORIES_CONTENT' => get_categories_menu(),
+    'F_IDENTIFY' => get_root_url().'identification.php',
+    'U_HOME' => make_index_URL(),
+    'U_REGISTER' => get_root_url().'register.php',
+    'U_LOST_PASSWORD' => get_root_url().'password.php',
+    'U_LOGOUT' => add_url_params(make_index_URL(), array('act'=>'logout') ),
+    'U_ADMIN'=> get_root_url().'admin.php',
+    'U_PROFILE'=> get_root_url().'profile.php',
+    )
+  );
+
+//-------------------------------------------------------------- external links
+if (count($conf['links']) > 0)
+{
+  $template->assign_block_vars('links', array());
+
+  foreach ($conf['links'] as $url => $label)
+  {
+    $template->assign_block_vars(
+      'links.link',
+      array(
+        'URL' => $url,
+        'LABEL' => $label
+        )
+      );
+  }
+}
+//------------------------------------------------------------------------ tags
+if ('tags' == $page['section'])
+{
+  $template->assign_block_vars('tags', array());
+
+  // display tags associated to currently tagged items, less current tags
+  $tags = array();
+
+  if ( !empty($page['items']) )
+  {
+    $query = '
+SELECT tag_id, name, url_name, count(*) counter
+  FROM '.IMAGE_TAG_TABLE.'
+    INNER JOIN '.TAGS_TABLE.' ON tag_id = id
+  WHERE image_id IN ('.implode(',', $items).')
+    AND tag_id NOT IN ('.implode(',', $page['tag_ids']).')
+  GROUP BY tag_id
+  ORDER BY name ASC
+;';
+    $result = pwg_query($query);
+    while($row = mysql_fetch_array($result))
+    {
+      array_push($tags, $row);
+    }
+  }
+
+  $tags = add_level_to_tags($tags);
+
+  foreach ($tags as $tag)
+  {
+    $template->assign_block_vars(
+      'tags.tag',
+      array(
+        'URL_ADD' => make_index_URL(
+          array(
+            'tags' => array_merge(
+              $page['tags'],
+              array(
+                array(
+                  'id' => $tag['tag_id'],
+                  'url_name' => $tag['url_name'],
+                  ),
+                )
+              )
+            )
+          ),
+
+        'URL' => make_index_URL(
+          array(
+            'tags' => array(
+              array(
+                'id' => $tag['tag_id'],
+                'url_name' => $tag['url_name'],
+                ),
+              )
+            )
+          ),
+
+        'NAME' => $tag['name'],
+
+        'TITLE' => l10n('See pictures linked to this tag only'),
+
+        'TITLE_ADD' => sprintf(
+          l10n('%d pictures are also linked to current tags'),
+          $tag['counter']
+          ),
+
+        'CLASS' => 'tagLevel'.$tag['level']
+        )
+      );
+  }
+}
+//---------------------------------------------------------- special categories
+// favorites categories
+if ( !$user['is_the_guest'] )
+{
+  $template->assign_block_vars('username', array());
+
+  $template->assign_block_vars(
+    'special_cat',
+    array(
+      'URL' => make_index_URL(array('section' => 'favorites')),
+      'TITLE' => $lang['favorite_cat_hint'],
+      'NAME' => $lang['favorite_cat']
+      ));
+}
+// most visited
+$template->assign_block_vars(
+  'special_cat',
+  array(
+    'URL' => make_index_URL(array('section' => 'most_visited')),
+    'TITLE' => $lang['most_visited_cat_hint'],
+    'NAME' => $lang['most_visited_cat']
+    ));
+// best rated
+if ($conf['rate'])
+{
+  $template->assign_block_vars(
+    'special_cat',
+    array(
+      'URL' => make_index_URL(array('section' => 'best_rated')),
+      'TITLE' => $lang['best_rated_cat_hint'],
+      'NAME' => $lang['best_rated_cat']
+      )
+    );
+}
+// random
+$template->assign_block_vars(
+  'special_cat',
+  array(
+    'URL' => get_root_url().'random.php',
+    'TITLE' => $lang['random_cat_hint'],
+    'NAME' => $lang['random_cat']
+    ));
+// recent pics
+$template->assign_block_vars(
+  'special_cat',
+  array(
+    'URL' => make_index_URL(array('section' => 'recent_pics')),
+    'TITLE' => $lang['recent_pics_cat_hint'],
+    'NAME' => $lang['recent_pics_cat']
+    ));
+// recent cats
+$template->assign_block_vars(
+  'special_cat',
+  array(
+    'URL' => make_index_URL(array('section' => 'recent_cats')),
+    'TITLE' => $lang['recent_cats_cat_hint'],
+    'NAME' => $lang['recent_cats_cat']
+    ));
+
+// calendar
+$template->assign_block_vars(
+  'special_cat',
+  array(
+    'URL' =>
+      make_index_URL(
+        array(
+          'chronology_field' => ($conf['calendar_datefield']=='date_available'
+                                  ? 'posted' : 'created'),
+           'chronology_style'=> 'monthly',
+           'chronology_view' => 'calendar'
+        )
+      ),
+    'TITLE' => $lang['calendar_hint'],
+    'NAME' => $lang['calendar']
+    )
+  );
+//--------------------------------------------------------------------- summary
+
+if ($user['is_the_guest'])
+{
+  $template->assign_block_vars('register', array());
+  $template->assign_block_vars('login', array());
+
+  $template->assign_block_vars('quickconnect', array());
+  if ($conf['authorize_remembering'])
+  {
+    $template->assign_block_vars('quickconnect.remember_me', array());
+  }
+}
+else
+{
+  $template->assign_block_vars('hello', array());
+
+  if (is_autorize_status(ACCESS_CLASSIC))
+  {
+    $template->assign_block_vars('profile', array());
+  }
+
+  // the logout link has no meaning with Apache authentication : it is not
+  // possible to logout with this kind of authentication.
+  if (!$conf['apache_authentication'])
+  {
+    $template->assign_block_vars('logout', array());
+  }
+
+  if (is_admin())
+  {
+    $template->assign_block_vars('admin', array());
+  }
+}
+
+// tags link
+$template->assign_block_vars(
+  'summary',
+  array(
+    'TITLE' => l10n('See available tags'),
+    'NAME' => l10n('Tags'),
+    'U_SUMMARY'=> get_root_url().'tags.php',
+    )
+  );
+
+// search link
+$template->assign_block_vars(
+  'summary',
+  array(
+    'TITLE'=>$lang['hint_search'],
+    'NAME'=>$lang['search'],
+    'U_SUMMARY'=> get_root_url().'search.php',
+    'REL'=> 'rel="search"'
+    )
+  );
+
+// comments link
+$template->assign_block_vars(
+  'summary',
+  array(
+    'TITLE'=>$lang['hint_comments'],
+    'NAME'=>$lang['comments'],
+    'U_SUMMARY'=> get_root_url().'comments.php',
+    )
+  );
+
+// about link
+$template->assign_block_vars(
+  'summary',
+  array(
+    'TITLE'     => $lang['about_page_title'],
+    'NAME'      => $lang['About'],
+    'U_SUMMARY' => get_root_url().'about.php',
+    )
+  );
+
+// notification
+$template->assign_block_vars(
+  'summary',
+  array(
+    'TITLE'=>l10n('notification'),
+    'NAME'=>l10n('Notification'),
+    'U_SUMMARY'=> get_root_url().'notification.php',
+    'REL'=> 'rel="nofollow"'
+    )
+  );
+$template->assign_var_from_handle('MENUBAR', 'menubar');
+?>
Index: trunk/index.php
===================================================================
--- trunk/index.php	(revision 1376)
+++ trunk/index.php	(revision 1377)
@@ -169,22 +169,12 @@
     );
 }
+// include menubar
+include(PHPWG_ROOT_PATH.'include/menubar.inc.php');
 
 $template->assign_vars(
   array(
-    'NB_PICTURE' => $user['nb_total_images'],
     'TITLE' => $template_title,
-    'USERNAME' => $user['username'],
-    'TOP_NUMBER' => $conf['top_number'],
-    'MENU_CATEGORIES_CONTENT' => get_categories_menu(),
-
-    'F_IDENTIFY' => get_root_url().'identification.php',
-    'T_RECENT' => $icon_recent,
-
-    'U_HOME' => make_index_URL(),
-    'U_REGISTER' => get_root_url().'register.php',
-    'U_LOST_PASSWORD' => get_root_url().'password.php',
-    'U_LOGOUT' => add_url_params(make_index_URL(), array('act'=>'logout') ),
-    'U_ADMIN'=> get_root_url().'admin.php',
-    'U_PROFILE'=> get_root_url().'profile.php',
+    'TOP_NUMBER' => $conf['top_number'],	// still used ?
+    'T_RECENT' => $icon_recent,			// still used ?
     )
   );
@@ -199,254 +189,4 @@
     );
 }
-//-------------------------------------------------------------- external links
-if (count($conf['links']) > 0)
-{
-  $template->assign_block_vars('links', array());
-
-  foreach ($conf['links'] as $url => $label)
-  {
-    $template->assign_block_vars(
-      'links.link',
-      array(
-        'URL' => $url,
-        'LABEL' => $label
-        )
-      );
-  }
-}
-//------------------------------------------------------------------------ tags
-if ('tags' == $page['section'])
-{
-  $template->assign_block_vars('tags', array());
-
-  // display tags associated to currently tagged items, less current tags
-  $tags = array();
-
-  if ( !empty($page['items']) )
-  {
-    $query = '
-SELECT tag_id, name, url_name, count(*) counter
-  FROM '.IMAGE_TAG_TABLE.'
-    INNER JOIN '.TAGS_TABLE.' ON tag_id = id
-  WHERE image_id IN ('.implode(',', $items).')
-    AND tag_id NOT IN ('.implode(',', $page['tag_ids']).')
-  GROUP BY tag_id
-  ORDER BY name ASC
-;';
-    $result = pwg_query($query);
-    while($row = mysql_fetch_array($result))
-    {
-      array_push($tags, $row);
-    }
-  }
-
-  $tags = add_level_to_tags($tags);
-
-  foreach ($tags as $tag)
-  {
-    $template->assign_block_vars(
-      'tags.tag',
-      array(
-        'URL_ADD' => make_index_URL(
-          array(
-            'tags' => array_merge(
-              $page['tags'],
-              array(
-                array(
-                  'id' => $tag['tag_id'],
-                  'url_name' => $tag['url_name'],
-                  ),
-                )
-              )
-            )
-          ),
-
-        'URL' => make_index_URL(
-          array(
-            'tags' => array(
-              array(
-                'id' => $tag['tag_id'],
-                'url_name' => $tag['url_name'],
-                ),
-              )
-            )
-          ),
-
-        'NAME' => $tag['name'],
-
-        'TITLE' => l10n('See pictures linked to this tag only'),
-
-        'TITLE_ADD' => sprintf(
-          l10n('%d pictures are also linked to current tags'),
-          $tag['counter']
-          ),
-
-        'CLASS' => 'tagLevel'.$tag['level']
-        )
-      );
-  }
-}
-//---------------------------------------------------------- special categories
-// favorites categories
-if ( !$user['is_the_guest'] )
-{
-  $template->assign_block_vars('username', array());
-
-  $template->assign_block_vars(
-    'special_cat',
-    array(
-      'URL' => make_index_URL(array('section' => 'favorites')),
-      'TITLE' => $lang['favorite_cat_hint'],
-      'NAME' => $lang['favorite_cat']
-      ));
-}
-// most visited
-$template->assign_block_vars(
-  'special_cat',
-  array(
-    'URL' => make_index_URL(array('section' => 'most_visited')),
-    'TITLE' => $lang['most_visited_cat_hint'],
-    'NAME' => $lang['most_visited_cat']
-    ));
-// best rated
-if ($conf['rate'])
-{
-  $template->assign_block_vars(
-    'special_cat',
-    array(
-      'URL' => make_index_URL(array('section' => 'best_rated')),
-      'TITLE' => $lang['best_rated_cat_hint'],
-      'NAME' => $lang['best_rated_cat']
-      )
-    );
-}
-// random
-$template->assign_block_vars(
-  'special_cat',
-  array(
-    'URL' => get_root_url().'random.php',
-    'TITLE' => $lang['random_cat_hint'],
-    'NAME' => $lang['random_cat']
-    ));
-// recent pics
-$template->assign_block_vars(
-  'special_cat',
-  array(
-    'URL' => make_index_URL(array('section' => 'recent_pics')),
-    'TITLE' => $lang['recent_pics_cat_hint'],
-    'NAME' => $lang['recent_pics_cat']
-    ));
-// recent cats
-$template->assign_block_vars(
-  'special_cat',
-  array(
-    'URL' => make_index_URL(array('section' => 'recent_cats')),
-    'TITLE' => $lang['recent_cats_cat_hint'],
-    'NAME' => $lang['recent_cats_cat']
-    ));
-
-// calendar
-$template->assign_block_vars(
-  'special_cat',
-  array(
-    'URL' =>
-      make_index_URL(
-        array(
-          'chronology_field' => ($conf['calendar_datefield']=='date_available'
-                                  ? 'posted' : 'created'),
-           'chronology_style'=> 'monthly',
-           'chronology_view' => 'calendar'
-        )
-      ),
-    'TITLE' => $lang['calendar_hint'],
-    'NAME' => $lang['calendar']
-    )
-  );
-//--------------------------------------------------------------------- summary
-
-if ($user['is_the_guest'])
-{
-  $template->assign_block_vars('register', array());
-  $template->assign_block_vars('login', array());
-
-  $template->assign_block_vars('quickconnect', array());
-  if ($conf['authorize_remembering'])
-  {
-    $template->assign_block_vars('quickconnect.remember_me', array());
-  }
-}
-else
-{
-  $template->assign_block_vars('hello', array());
-
-  if (is_autorize_status(ACCESS_CLASSIC))
-  {
-    $template->assign_block_vars('profile', array());
-  }
-
-  // the logout link has no meaning with Apache authentication : it is not
-  // possible to logout with this kind of authentication.
-  if (!$conf['apache_authentication'])
-  {
-    $template->assign_block_vars('logout', array());
-  }
-
-  if (is_admin())
-  {
-    $template->assign_block_vars('admin', array());
-  }
-}
-
-// tags link
-$template->assign_block_vars(
-  'summary',
-  array(
-    'TITLE' => l10n('See available tags'),
-    'NAME' => l10n('Tags'),
-    'U_SUMMARY'=> get_root_url().'tags.php',
-    )
-  );
-
-// search link
-$template->assign_block_vars(
-  'summary',
-  array(
-    'TITLE'=>$lang['hint_search'],
-    'NAME'=>$lang['search'],
-    'U_SUMMARY'=> get_root_url().'search.php',
-    'REL'=> 'rel="search"'
-    )
-  );
-
-// comments link
-$template->assign_block_vars(
-  'summary',
-  array(
-    'TITLE'=>$lang['hint_comments'],
-    'NAME'=>$lang['comments'],
-    'U_SUMMARY'=> get_root_url().'comments.php',
-    )
-  );
-
-// about link
-$template->assign_block_vars(
-  'summary',
-  array(
-    'TITLE'     => $lang['about_page_title'],
-    'NAME'      => $lang['About'],
-    'U_SUMMARY' => get_root_url().'about.php',
-    )
-  );
-
-// notification
-$template->assign_block_vars(
-  'summary',
-  array(
-    'TITLE'=>l10n('notification'),
-    'NAME'=>l10n('Notification'),
-    'U_SUMMARY'=> get_root_url().'notification.php',
-    'REL'=> 'rel="nofollow"'
-    )
-  );
 
 if (isset($page['category']) and is_admin())
Index: trunk/template/yoga/header.tpl
===================================================================
--- trunk/template/yoga/header.tpl	(revision 1376)
+++ trunk/template/yoga/header.tpl	(revision 1377)
@@ -10,9 +10,10 @@
 <link rel="stylesheet" type="text/nonsense" href="{pwg_root}template/{themeconf:template}/fix-khtml.css">
 <!--[if lt IE 7]>
-<link rel="stylesheet" type="text/css" href="{pwg_root}template/{themeconf:template}/fix-ie5-ie6.css">
+  <link rel="stylesheet" type="text/css" href="{pwg_root}template/{themeconf:template}/fix-ie5-ie6.css">
 <![endif]-->
 <link rel="stylesheet" type="text/css" media="print" href="{pwg_root}template/{themeconf:template}/print.css">
 <link rel="stylesheet" type="text/css" href="{pwg_root}template/{themeconf:template}/default-colors.css">
 <link rel="stylesheet" type="text/css" href="{pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/theme.css">
+{themeconf:local_head}
 <!-- BEGIN next -->
 <link rel="prefetch" href="{next.U_IMG_SRC}">
@@ -24,5 +25,5 @@
 <script type="text/javascript" src="{pwg_root}include/scripts.js"></script>
 <!--[if lt IE 7]>
-<script type="text/javascript" src="{pwg_root}include/pngfix.js"></script>
+  <script type="text/javascript" src="{pwg_root}include/pngfix.js"></script>
 <![endif]-->
 </head>
Index: trunk/template/yoga/index.tpl
===================================================================
--- trunk/template/yoga/index.tpl	(revision 1376)
+++ trunk/template/yoga/index.tpl	(revision 1377)
@@ -1,124 +1,4 @@
 <!-- $Id$ -->
-<div id="menubar">
-<!-- BEGIN links -->
-<dl>
-  <dt>{lang:Links}</dt>
-  <dd>
-    <ul>
-      <!-- BEGIN link -->
-      <li><a href="{links.link.URL}">{links.link.LABEL}</a></li>
-      <!-- END link -->
-    </ul>
-  </dd>
-</dl>
-<!-- END links -->
-<dl>
-  <dt><a href="{U_HOME}">{lang:Categories}</a></dt>
-  <dd>
-    {MENU_CATEGORIES_CONTENT}
-    <p class="totalImages">{NB_PICTURE} {lang:total}</p>
-  </dd>
-</dl>
-
-<!-- BEGIN tags -->
-<dl>
-  <dt>{lang:Related tags}</dt>
-  <dd>
-    <ul id="menuTagCloud">
-      <!-- BEGIN tag -->
-      <li>
-        <a href="{tags.tag.URL_ADD}" title="{tags.tag.TITLE_ADD}"><img src="{pwg_root}{themeconf:icon_dir}/add_tag.png" alt="+"></a>
-        <a href="{tags.tag.URL}" class="{tags.tag.CLASS}" title="{tags.tag.TITLE}">{tags.tag.NAME}</a>
-      </li>
-      <!-- END tag -->
-    </ul>
-  </dd>
-</dl>
-<!-- END tags -->
-
-<dl>
-  <dt>{lang:special_categories}</dt>
-  <dd>
-    <ul>
-      <!-- BEGIN special_cat -->
-      <li><a href="{special_cat.URL}" title="{special_cat.TITLE}">{special_cat.NAME}</a></li>
-      <!-- END special_cat -->
-    </ul>
-  </dd>
-</dl>
-<dl>
-  <dt>{lang:title_menu}</dt>
-  <dd>
-    <ul>
-      <!-- BEGIN summary -->
-      <li><a href="{summary.U_SUMMARY}" title="{summary.TITLE}" {summary.REL}>{summary.NAME}</a></li>
-      <!-- END summary -->
-      <!-- BEGIN upload -->
-      <li><a href="{upload.U_UPLOAD}">{lang:upload_picture}</a></li>
-      <!-- END upload -->
-    </ul>
-  </dd>
-</dl>
-<dl>
-  <dt>{lang:identification}</dt>
-  <dd>
-    <!-- BEGIN hello -->
-    <p>{lang:hello}&nbsp;{USERNAME}&nbsp;!</p>
-    <!-- END hello -->
-    <ul>
-      <!-- BEGIN register -->
-      <li><a href="{U_REGISTER}" rel="nofollow">{lang:ident_register}</a></li>
-      <!-- END register -->
-      <!-- BEGIN login -->
-      <li><a href="{F_IDENTIFY}" rel="nofollow">{lang:Connection}</a></li>
-      <!-- END login -->
-      <!-- BEGIN logout -->
-      <li><a href="{U_LOGOUT}">{lang:logout}</a></li>
-      <!-- END logout -->
-      <!-- BEGIN profile -->
-      <li><a href="{U_PROFILE}" title="{lang:hint_customize}">{lang:customize}</a></li>
-      <!-- END profile -->
-      <!-- BEGIN admin -->
-      <li><a href="{U_ADMIN}" title="{lang:hint_admin}">{lang:admin}</a></li>
-      <!-- END admin -->
-    </ul>
-    <!-- BEGIN quickconnect -->
-    <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
-      <fieldset>
-        <legend>{lang:Quick connect}</legend>
-
-        <label>
-          {lang:Username}
-          <input type="text" name="username" size="15" value="" onfocus="this.className='focus';" onblur="this.className='nofocus';">
-        </label>
-
-        <label>
-          {lang:password}
-          <input type="password" name="password" size="15" onfocus="this.className='focus';" onblur="this.className='nofocus';">
-        </label>
-
-        <!-- BEGIN remember_me -->
-        <label>
-          {lang:remember_me}
-          <input type="checkbox" name="remember_me" value="1">
-        </label>
-        <!-- END remember_me -->
-
-        <p>
-         <input type="submit" name="login" value="{lang:submit}">
-        </p>
-    <ul class="actions">
-      <li><a href="{U_LOST_PASSWORD}" title="{lang:Forgot your password?}" rel="nofollow"><img src="{pwg_root}{themeconf:icon_dir}/lost_password.png" class="button" alt="{lang:Forgot your password?}"></a></li>
-      <li><a href="{U_REGISTER}" title="{lang:Create a new account}" rel="nofollow"><img src="{pwg_root}{themeconf:icon_dir}/register.png" class="button" alt="{lang:register}"/></a></li>
-    </ul>
-
-      </fieldset>
-    </form>
-    <!-- END quickconnect -->
-
-  </dd>
-</dl>
-</div> <!-- menubar -->
-
+{MENUBAR}
 <div id="content">
   <div class="titrePage">
Index: trunk/template/yoga/menubar.tpl
===================================================================
--- trunk/template/yoga/menubar.tpl	(revision 1377)
+++ trunk/template/yoga/menubar.tpl	(revision 1377)
@@ -0,0 +1,121 @@
+<!-- $Id:$ -->
+<div id="menubar">
+<!-- BEGIN links -->
+<dl>
+  <dt>{lang:Links}</dt>
+  <dd>
+    <ul>
+      <!-- BEGIN link -->
+      <li><a href="{links.link.URL}">{links.link.LABEL}</a></li>
+      <!-- END link -->
+    </ul>
+  </dd>
+</dl>
+<!-- END links -->
+<dl>
+  <dt><a href="{U_HOME}">{lang:Categories}</a></dt>
+  <dd>
+    {MENU_CATEGORIES_CONTENT}
+    <p class="totalImages">{NB_PICTURE} {lang:total}</p>
+  </dd>
+</dl>
+
+<!-- BEGIN tags -->
+<dl>
+  <dt>{lang:Related tags}</dt>
+  <dd>
+    <ul id="menuTagCloud">
+      <!-- BEGIN tag -->
+      <li>
+        <a href="{tags.tag.URL_ADD}" title="{tags.tag.TITLE_ADD}"><img src="{pwg_root}{themeconf:icon_dir}/add_tag.png" alt="+"></a>
+        <a href="{tags.tag.URL}" class="{tags.tag.CLASS}" title="{tags.tag.TITLE}">{tags.tag.NAME}</a>
+      </li>
+      <!-- END tag -->
+    </ul>
+  </dd>
+</dl>
+<!-- END tags -->
+
+<dl>
+  <dt>{lang:special_categories}</dt>
+  <dd>
+    <ul>
+      <!-- BEGIN special_cat -->
+      <li><a href="{special_cat.URL}" title="{special_cat.TITLE}">{special_cat.NAME}</a></li>
+      <!-- END special_cat -->
+    </ul>
+  </dd>
+</dl>
+<dl>
+  <dt>{lang:title_menu}</dt>
+  <dd>
+    <ul>
+      <!-- BEGIN summary -->
+      <li><a href="{summary.U_SUMMARY}" title="{summary.TITLE}" {summary.REL}>{summary.NAME}</a></li>
+      <!-- END summary -->
+      <!-- BEGIN upload -->
+      <li><a href="{upload.U_UPLOAD}">{lang:upload_picture}</a></li>
+      <!-- END upload -->
+    </ul>
+  </dd>
+</dl>
+<dl>
+  <dt>{lang:identification}</dt>
+  <dd>
+    <!-- BEGIN hello -->
+    <p>{lang:hello}&nbsp;{USERNAME}&nbsp;!</p>
+    <!-- END hello -->
+    <ul>
+      <!-- BEGIN register -->
+      <li><a href="{U_REGISTER}" rel="nofollow">{lang:ident_register}</a></li>
+      <!-- END register -->
+      <!-- BEGIN login -->
+      <li><a href="{F_IDENTIFY}" rel="nofollow">{lang:Connection}</a></li>
+      <!-- END login -->
+      <!-- BEGIN logout -->
+      <li><a href="{U_LOGOUT}">{lang:logout}</a></li>
+      <!-- END logout -->
+      <!-- BEGIN profile -->
+      <li><a href="{U_PROFILE}" title="{lang:hint_customize}">{lang:customize}</a></li>
+      <!-- END profile -->
+      <!-- BEGIN admin -->
+      <li><a href="{U_ADMIN}" title="{lang:hint_admin}">{lang:admin}</a></li>
+      <!-- END admin -->
+    </ul>
+    <!-- BEGIN quickconnect -->
+    <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+      <fieldset>
+        <legend>{lang:Quick connect}</legend>
+
+        <label>
+          {lang:Username}
+          <input type="text" name="username" size="15" value="" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        </label>
+
+        <label>
+          {lang:password}
+          <input type="password" name="password" size="15" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        </label>
+
+        <!-- BEGIN remember_me -->
+        <label>
+          {lang:remember_me}
+          <input type="checkbox" name="remember_me" value="1">
+        </label>
+        <!-- END remember_me -->
+
+        <p>
+         <input type="submit" name="login" value="{lang:submit}">
+        </p>
+    <ul class="actions">
+      <li><a href="{U_LOST_PASSWORD}" title="{lang:Forgot your password?}" rel="nofollow"><img src="{pwg_root}{themeconf:icon_dir}/lost_password.png" class="button" alt="{lang:Forgot your password?}"></a></li>
+      <li><a href="{U_REGISTER}" title="{lang:Create a new account}" rel="nofollow"><img src="{pwg_root}{themeconf:icon_dir}/register.png" class="button" alt="{lang:register}"/></a></li>
+    </ul>
+
+      </fieldset>
+    </form>
+    <!-- END quickconnect -->
+
+  </dd>
+</dl>
+</div> <!-- menubar -->
Index: trunk/template/yoga/theme/clear/themeconf.inc.php
===================================================================
--- trunk/template/yoga/theme/clear/themeconf.inc.php	(revision 1376)
+++ trunk/template/yoga/theme/clear/themeconf.inc.php	(revision 1377)
@@ -5,5 +5,6 @@
   'icon_dir' => 'template/yoga/icon',
   'admin_icon_dir' => 'template/yoga/icon/admin',
-  'mime_icon_dir' => 'template/yoga/icon/mimetypes/'
+  'mime_icon_dir' => 'template/yoga/icon/mimetypes/',
+  'local_head' => '<!-- no theme specific head content -->'
 );
 ?>
Index: trunk/template/yoga/theme/dark/themeconf.inc.php
===================================================================
--- trunk/template/yoga/theme/dark/themeconf.inc.php	(revision 1376)
+++ trunk/template/yoga/theme/dark/themeconf.inc.php	(revision 1377)
@@ -5,5 +5,6 @@
   'icon_dir' => 'template/yoga/icon',
   'admin_icon_dir' => 'template/yoga/icon/admin',
-  'mime_icon_dir' => 'template/yoga/icon/mimetypes/'
+  'mime_icon_dir' => 'template/yoga/icon/mimetypes/',
+  'local_head' => '<!-- no theme specific head content -->'
 );
 ?>