Index: branches/branch-1_6/template/yoga/admin/default-layout.css
===================================================================
--- branches/branch-1_6/template/yoga/admin/default-layout.css	(revision 1393)
+++ branches/branch-1_6/template/yoga/admin/default-layout.css	(revision 1393)
@@ -0,0 +1,94 @@
+BODY#theAdminPage #theHeader P {
+  display: none;
+}
+
+/* History tables */
+TABLE.table2 {
+  border: 1px solid black;
+  margin: 1em auto;
+  padding: 0;
+}
+
+TABLE.table2 TD, TABLE.table2 TH {
+  padding: 0 1em;
+}
+
+TABLE.table2 TR {
+  text-align: left;
+}
+
+TABLE.table2 TR.throw {
+  text-align: center;
+}
+
+.hour {
+  white-space: pre;
+}
+
+.number {
+  text-align: right;
+}
+
+TABLE#dailyStats {
+  width: 60%;
+}
+
+TABLE#detailedStats {
+  width: 80%;
+}
+
+/* categoryOrdering */
+SELECT.categoryList {
+  width: 100%;
+}
+
+FORM#categoryOrdering {
+  padding-left: 1em; /* same as FIELDSET margin (there is no fieldset in this form) */
+  padding-right: 1em; /* same as FIELDSET margin (there is no fieldset in this form) */
+}
+FORM#categoryOrdering p {
+	text-align: left;
+	margin-top: 1em;
+	margin-bottom: 1em;
+}
+UL.categoryUl {
+  list-style: none;
+  padding: 0;
+  margin: 0;
+}
+
+LI.categoryLi {
+  border: 1px solid gray;
+  padding: 0px 5px;
+  margin-bottom: 5px;
+}
+
+FORM#categoryOrdering UL.categoryActions {
+  float: right;
+  margin-top: 5px;
+}
+/* */
+
+FORM#cat_modify TABLE { width: auto; }
+
+FIELDSET.elementEdit A {
+  display: block;
+  float: right;
+}
+
+TABLE.doubleSelect {
+  text-align: center;
+  margin: 0 auto;
+  width: 100%;
+}
+
+TABLE.doubleSelect TD {
+  padding: 0 5px;
+  width: 50%;
+}
+
+FORM#categoryPermissions LI {
+  display:inline;
+  white-space: nowrap;
+}
+
Index: branches/branch-1_6/template/yoga/content.css
===================================================================
--- branches/branch-1_6/template/yoga/content.css	(revision 1390)
+++ branches/branch-1_6/template/yoga/content.css	(revision 1393)
@@ -120,18 +120,4 @@
 }
 
-/* should be in admin.css ? CSS properties also used in popuphelp */
-
-SPAN.pwgScreen {
-  border-bottom: 1px dotted black;
-}
-
-SPAN.filename:before {
-  content: "[";
-}
-
-SPAN.filename:after {
-  content: "]";
-}
-
 /* begin chronology/calendar elements*/
 #content DIV.calendarViews {
Index: branches/branch-1_6/template/yoga/default-layout.css
===================================================================
--- branches/branch-1_6/template/yoga/default-layout.css	(revision 1390)
+++ branches/branch-1_6/template/yoga/default-layout.css	(revision 1393)
@@ -1,4 +1,4 @@
 /* $Id$ */
-
+@import "admin/default-layout.css";
 BODY {
     margin: 5px;
@@ -80,72 +80,4 @@
   overflow: auto;
 }
-SELECT.categoryList {
-  width: 100%;
-}
-
-/** go to an admin.css ? **/
-
-TABLE.table2 {
-  border: 1px solid black;
-  margin: 1em auto;
-  padding: 0;
-}
-
-TABLE.table2 TD, TABLE.table2 TH {
-  padding: 0 1em;
-}
-
-TABLE.table2 TR {
-  text-align: left;
-}
-
-TABLE.table2 TR.throw {
-  text-align: center;
-}
-
-.hour {
-  white-space: pre;
-}
-
-.number {
-  text-align: right;
-}
-  
-TABLE#dailyStats {
-  width: 60%;
-}
-
-TABLE#detailedStats {
-  width: 80%;
-}
-
-FORM#add_virtual P { text-align: left; }
-FORM#categoryOrdering, FORM#addVirtual {
-  padding-left: 1em; /* same as FIELDSET margin (there is no fieldset in this form) */
-  padding-right: 1em; /* same as FIELDSET margin (there is no fieldset in this form) */
-}
-FORM#categoryOrdering p {
-	text-align: left;
-	margin-top: 1em;
-	margin-bottom: 1em;
-}
-UL.categoryUl {
-  list-style: none;
-  padding: 0;
-  margin: 0;
-}
-
-LI.categoryLi {
-  border: 1px solid gray;
-  padding: 0px 5px;
-  margin-bottom: 5px;
-}
-
-FORM#categoryOrdering UL.categoryActions {
-  float: right;
-  margin-top: 5px;
-}
-
-FORM#cat_modify TABLE { width: auto; }
 
 /**
@@ -246,25 +178,4 @@
 }
 
-FIELDSET.elementEdit A {
-  display: block;
-  float: right;
-}
-
-TABLE.doubleSelect {
-  text-align: center;
-  margin: 0 auto;
-  width: 100%;
-}
-
-TABLE.doubleSelect TD {
-  padding: 0 5px;
-  width: 50%;
-}
-
-FORM#categoryPermissions LI {
-  display:inline;
-  white-space: nowrap;
-}
-
 #theHeader H1 {
   margin-bottom: 0.5em;
@@ -274,8 +185,4 @@
   margin-top: 0;
   padding: 0;
-}
-
-BODY#theAdminPage #theHeader P {
-  display: none;
 }
 