Index: /branches/branch-1_6/template/yoga/admin/configuration.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/admin/configuration.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/admin/configuration.tpl	(revision 1492)
@@ -18,5 +18,5 @@
         <label for="gallery_title">{lang:Gallery title}</label>
       </span>
-      <input type="text" maxlength="255" size="50" name="gallery_title" id="gallery_title" value="{general.CONF_GALLERY_TITLE}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" maxlength="255" size="50" name="gallery_title" id="gallery_title" value="{general.CONF_GALLERY_TITLE}" />
     </li>
 
@@ -25,5 +25,5 @@
         <label for="page_banner">{lang:Page banner}</label>
       </span>
-      <textarea class="description" name="page_banner" id="page_banner" onfocus="this.className='description focus';" onblur="this.className='description nofocus';">{general.CONF_PAGE_BANNER}</textarea>
+      <textarea class="description" name="page_banner" id="page_banner">{general.CONF_PAGE_BANNER}</textarea>
     </li>
 
@@ -32,5 +32,5 @@
         <label for="gallery_url">{lang:Gallery URL}</label>
       </span>
-      <input type="text" maxlength="255" size="50" name="gallery_url" id="gallery_url" value="{general.CONF_GALLERY_URL}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" maxlength="255" size="50" name="gallery_url" id="gallery_url" value="{general.CONF_GALLERY_URL}" />
     </li>
 
@@ -77,5 +77,5 @@
         <label for="nb_comment_page">{lang:Number of comments per page}</label>
       </span>
-      <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{comments.NB_COMMENTS_PAGE}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{comments.NB_COMMENTS_PAGE}" />
     </li>
 
@@ -97,5 +97,5 @@
         <label for="default_language">{lang:Language}</label>
       </span>
-      <select name="default_language" id="default_language" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+      <select name="default_language" id="default_language">
         <!-- BEGIN language_option -->
         <option value="{default.language_option.VALUE}" {default.language_option.SELECTED}>{default.language_option.CONTENT}</option>
@@ -108,5 +108,5 @@
         <label for="nb_image_line">{lang:Number of images per row}</label>
       </span>
-      <input type="text" size="3" maxlength="2" id="nb_image_line" name="nb_image_line" value="{default.NB_IMAGE_LINE}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" size="3" maxlength="2" id="nb_image_line" name="nb_image_line" value="{default.NB_IMAGE_LINE}" />
     </li>
 
@@ -115,5 +115,5 @@
         <label for="nb_line_page">{lang:Number of rows per page}</label>
       </span>
-      <input type="text" size="3" maxlength="2" id="nb_line_page" name="nb_line_page" value="{default.NB_ROW_PAGE}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" size="3" maxlength="2" id="nb_line_page" name="nb_line_page" value="{default.NB_ROW_PAGE}" />
     </li>
 
@@ -122,5 +122,5 @@
         <label for="default_template">{lang:Interface theme}</label>
       </span>
-      <select name="default_template" id="default_template" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+      <select name="default_template" id="default_template">
         <!-- BEGIN template_option -->
         <option value="{default.template_option.VALUE}" {default.template_option.SELECTED}>{default.template_option.CONTENT}</option>
@@ -133,5 +133,5 @@
         <label for="recent_period">{lang:Recent period}</label>
       </span>
-      <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{default.CONF_RECENT}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{default.CONF_RECENT}" />
     </li>
 
@@ -152,5 +152,5 @@
         <label for="default_maxwidth">{lang:Maximum width of the pictures}</label>
       </span>
-      <input type="text" size="4" maxlength="4" id="default_maxwidth" name="default_maxwidth" value="{default.MAXWIDTH}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" size="4" maxlength="4" id="default_maxwidth" name="default_maxwidth" value="{default.MAXWIDTH}" />
     </li>
 
@@ -159,5 +159,5 @@
         <label for="default_maxheight">{lang:Maximum height of the pictures}</label>
       </span>
-      <input type="text" size="4" maxlength="4" id="default_maxheight" name="default_maxheight" value="{default.MAXHEIGHT}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+      <input type="text" size="4" maxlength="4" id="default_maxheight" name="default_maxheight" value="{default.MAXHEIGHT}" />
     </li>
   </ul>
Index: /branches/branch-1_6/template/yoga/admin/group_list.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/admin/group_list.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/admin/group_list.tpl	(revision 1492)
@@ -9,5 +9,5 @@
       <label for="groupname">{lang:Group name}</label>
     </span>
-    <input type="text" id="groupname" name="groupname" maxlength="50" size="20" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+    <input type="text" id="groupname" name="groupname" maxlength="50" size="20" />
 
     <p>
Index: /branches/branch-1_6/template/yoga/admin/thumbnail.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/admin/thumbnail.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/admin/thumbnail.tpl	(revision 1492)
@@ -79,5 +79,5 @@
           <label for="width">{lang:maximum width}</label>
         </span>
-	<input type="text" id="width" name="width" value="{params.WIDTH_TN}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+	<input type="text" id="width" name="width" value="{params.WIDTH_TN}" />
       </li>
 
@@ -86,5 +86,5 @@
           <label for="height">{lang:maximum height}</label>
         </span>
-	<input type="text" id="height" name="height" value="{params.HEIGHT_TN}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+	<input type="text" id="height" name="height" value="{params.HEIGHT_TN}" />
       </li>
 
Index: /branches/branch-1_6/template/yoga/default-colors.css
===================================================================
--- /branches/branch-1_6/template/yoga/default-colors.css	(revision 1491)
+++ /branches/branch-1_6/template/yoga/default-colors.css	(revision 1492)
@@ -22,16 +22,22 @@
 
 /* Tables & forms */
-INPUT, SELECT, TEXTAREA {
-	color:black;
+
+/* IE <= 6 is so bad with this that you can't merge with the following rule */
+INPUT[type="text"], INPUT[type="password"], INPUT[type="button"],
+INPUT[type="submit"], INPUT[type="reset"], INPUT[type="file"] {
+  color:black;
+  background-color: #d3d3d3;	/* lightgrey */
 }
-INPUT, SELECT, TEXTAREA, FORM .nofocus {
-	background-color: #d3d3d3;	/* lightgrey */
+
+INPUT.text, INPUT.password, INPUT.button,
+INPUT.submit, INPUT.reset, INPUT.file,
+SELECT, TEXTAREA {
+  color:black;
+  background-color: #d3d3d3;	/* lightgrey */
 }
-FORM .focus {
+/*INPUT.text.focus, INPUT.password.focus, INPUT.button.focus,
+INPUT.submit.focus, INPUT.reset.focus, INPUT.file.focus,*/
+INPUT:focus, SELECT:focus, TEXTAREA:focus, INPUT.focus, FORM .focus {
   background-color: #f5f5f5;		/* whitesmoke */
-}
-INPUT[type="radio"] {	/* for Opera */
-  border: none;
-  background-color: transparent;
 }
 
Index: /branches/branch-1_6/template/yoga/fix-ie5-ie6.css
===================================================================
--- /branches/branch-1_6/template/yoga/fix-ie5-ie6.css	(revision 1491)
+++ /branches/branch-1_6/template/yoga/fix-ie5-ie6.css	(revision 1492)
@@ -12,11 +12,7 @@
 }
 
-/* to get less hugly checkboxes at least in tagSelection */
-/* as well as several forms */
-FORM#update FIELDSET INPUT,
-UL.tagSelection LI INPUT,
-#content UL.thumbnails SPAN.wrap2 INPUT {
+/* some theme set a border on INPUT  which is not pretty for those */
+INPUT.radio, INPUT.checkbox {
   border: none;
-  background-color: transparent;
 }
 
Index: /branches/branch-1_6/template/yoga/header.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/header.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/header.tpl	(revision 1492)
@@ -28,5 +28,8 @@
     /* only because we need \{pwg_root\} otherwise use fix-ie5-ie6.css */
     BODY { behavior:url("{pwg_root}template-common/csshover.htc"); }
-    A IMG, .button, .icon { behavior:url("{pwg_root}template-common/tooltipfix.htc"); }
+    A IMG, .button, .icon {
+      behavior:url("{pwg_root}template-common/tooltipfix.htc");
+    }
+    FORM { behavior: url("{pwg_root}template-common/inputfix.htc"); }
   </style>
   <script type="text/javascript" src="{pwg_root}include/pngfix.js"></script>
Index: /branches/branch-1_6/template/yoga/identification.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/identification.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/identification.tpl	(revision 1492)
@@ -32,5 +32,5 @@
           <label for="username">{L_USERNAME}</label>
         </span>
-        <input tabindex="1" class="login" type="text" name="username" id="username" size="25" maxlength="40" value="{USERNAME}" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+        <input tabindex="1" class="login" type="text" name="username" id="username" size="25" maxlength="40" value="{USERNAME}" />
       </li>
 
@@ -39,5 +39,5 @@
           <label for="password">{L_PASSWORD}</label>
         </span>
-        <input tabindex="2" class="login" type="password" name="password" id="password" size="25" maxlength="25" onfocus="this.className='focus';" onblur="this.className='nofocus';" />
+        <input tabindex="2" class="login" type="password" name="password" id="password" size="25" maxlength="25" />
       </li>
 
Index: /branches/branch-1_6/template/yoga/menubar.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/menubar.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/menubar.tpl	(revision 1492)
@@ -90,10 +90,10 @@
         <label>
           {lang:Username}
-          <input type="text" name="username" size="15" value="" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+          <input type="text" name="username" size="15" value="">
         </label>
 
         <label>
           {lang:password}
-          <input type="password" name="password" size="15" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+          <input type="password" name="password" size="15">
         </label>
 
Index: /branches/branch-1_6/template/yoga/password.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/password.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/password.tpl	(revision 1492)
@@ -38,7 +38,6 @@
           <label for="mail_address">{lang:Email address}</label>
         </span>
-        <input class="login" type="text" name="mail_address" id="mail_address" size="40" maxlength="40" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input class="login" type="text" name="mail_address" id="mail_address" size="40" maxlength="40" >
       </li>
-
       <li>
         <span class="property">
Index: /branches/branch-1_6/template/yoga/profile.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/profile.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/profile.tpl	(revision 1492)
@@ -28,31 +28,27 @@
         {USERNAME}
       </li>
-
       <li>
         <span class="property">
           <label for="mail_address">{lang:Email address}</label>
         </span>
-        <input type="text" name="mail_address" id="mail_address" value="{EMAIL}" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" name="mail_address" id="mail_address" value="{EMAIL}">
       </li>
-
       <li>
         <span class="property">
           <label for="password">{L_CURRENT_PASSWORD}</label>
         </span>
-        <input type="password" name="password" id="password" value="" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="password" name="password" id="password" value="">
       </li>
-
       <li>
         <span class="property">
           <label for="use_new_pwd">{L_NEW_PASSWORD}</label>
         </span>
-        <input type="password" name="use_new_pwd" id="use_new_pwd" value="" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="password" name="use_new_pwd" id="use_new_pwd" value="">
       </li>
-
       <li>
         <span class="property">
           <label for="passwordConf">{L_CONFIRM_PASSWORD}</label>
         </span>
-        <input type="password" name="passwordConf" id="passwordConf" value="" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="password" name="passwordConf" id="passwordConf" value="">
       </li>
     </ul>
@@ -67,21 +63,17 @@
           <label for="nb_image_line">{L_NB_IMAGE_LINE}</label>
         </span>
-        <input type="text" size="3" maxlength="2" name="nb_image_line" id="nb_image_line" value="{NB_IMAGE_LINE}"
-               onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" size="3" maxlength="2" name="nb_image_line" id="nb_image_line" value="{NB_IMAGE_LINE}">
       </li>
-
       <li>
         <span class="property">
           <label for="nb_line_page">{L_NB_ROW_PAGE}</label>
         </span>
-        <input type="text" size="3" maxlength="2" name="nb_line_page" id="nb_line_page" value="{NB_ROW_PAGE}"
-               onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" size="3" maxlength="2" name="nb_line_page" id="nb_line_page" value="{NB_ROW_PAGE}" >
       </li>
-
       <li>
         <span class="property">
           <label for="template">{L_STYLE_SELECT}</label>
         </span>
-        <select name="template" id="template" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <select name="template" id="template">
           <!-- BEGIN template_option -->
           <option value="{template_option.VALUE}" {template_option.SELECTED}>{template_option.CONTENT}</option>
@@ -89,10 +81,9 @@
         </select>
       </li>
-
       <li>
         <span class="property">
           <label for="language">{L_LANG_SELECT}</label>
         </span>
-        <select name="language" id="language" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <select name="language" id="language">
           <!-- BEGIN language_option -->
           <option value="{language_option.VALUE}" {language_option.SELECTED}>{language_option.CONTENT}</option>
@@ -100,39 +91,31 @@
         </select>
       </li>
-
       <li>
         <span class="property">
           <label for="recent_period">{L_RECENT_PERIOD}</label>
         </span>
-        <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{RECENT_PERIOD}"
-               onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{RECENT_PERIOD}">
       </li>
-
       <li>
         <span class="property">{L_EXPAND_TREE}</span>
-        <label><input type="radio" class="radio" name="expand" value="true" {EXPAND_TREE_YES}> {L_YES}</label>
-        <label><input type="radio" class="radio" name="expand" value="false" {EXPAND_TREE_NO}> {L_NO}</label>
+        <label><input type="radio" name="expand" value="true" {EXPAND_TREE_YES}> {L_YES}</label>
+        <label><input type="radio" name="expand" value="false" {EXPAND_TREE_NO}> {L_NO}</label>
       </li>
-
       <li>
         <span class="property">{L_NB_COMMENTS}</span>
-        <label><input type="radio" class="radio" name="show_nb_comments" value="true" {NB_COMMENTS_YES}> {L_YES}</label>
-        <label><input type="radio" class="radio" name="show_nb_comments" value="false" {NB_COMMENTS_NO}> {L_NO}</label>
+        <label><input type="radio" name="show_nb_comments" value="true" {NB_COMMENTS_YES}> {L_YES}</label>
+        <label><input type="radio" name="show_nb_comments" value="false" {NB_COMMENTS_NO}> {L_NO}</label>
       </li>
- 
       <li>
         <span class="property">
           <label for="maxwidth">{L_MAXWIDTH}</label>
         </span>
-        <input type="text" size="4" maxlength="4" name="maxwidth" id="maxwidth" value="{MAXWIDTH}"
-               onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" size="4" maxlength="4" name="maxwidth" id="maxwidth" value="{MAXWIDTH}">
       </li>
-
       <li>
         <span class="property">
           <label for="maxheight">{L_MAXHEIGHT}</label>
         </span>
-        <input type="text" size="4" maxlength="4" name="maxheight" id="maxheight" value="{MAXHEIGHT}"
-               onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" size="4" maxlength="4" name="maxheight" id="maxheight" value="{MAXHEIGHT}">
       </li>
     </ul>
@@ -141,5 +124,5 @@
   <p class="bottomButtons">
     <input type="submit" name="validate" value="{L_SUBMIT}">
-    <input type="reset" name="reset" value="{L_RESET}">
+    <input type="reset" name="reset" value="{L_RESET}" class="reset">
   </p>
 
Index: /branches/branch-1_6/template/yoga/register.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/register.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/register.tpl	(revision 1492)
@@ -29,26 +29,23 @@
           <label for="login">* {lang:Username}</label>
         </span>
-        <input type="text" name="login" id="login" value="{F_LOGIN}" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" name="login" id="login" value="{F_LOGIN}" >
       </li>
-
       <li>
         <span class="property">
           <label for="password">* {lang:Password}</label>
         </span>
-        <input type="password" name="password" id="password" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="password" name="password" id="password" >
       </li>
-
       <li>
         <span class="property">
           <label for="password_conf">* {lang:Confirm Password}</label>
         </span>
-        <input type="password" name="password_conf" id="password_conf" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="password" name="password_conf" id="password_conf" >
       </li>
-
       <li>
         <span class="property">
           <label for="mail_address">{lang:Mail address}</label>
         </span>
-        <input type="text" name="mail_address" id="mail_address" value="{F_EMAIL}" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+        <input type="text" name="mail_address" id="mail_address" value="{F_EMAIL}" >
         ({lang:useful when password forgotten})
       </li>
Index: /branches/branch-1_6/template/yoga/search.tpl
===================================================================
--- /branches/branch-1_6/template/yoga/search.tpl	(revision 1491)
+++ /branches/branch-1_6/template/yoga/search.tpl	(revision 1492)
@@ -23,5 +23,5 @@
   <legend>{lang:Filter}</legend>
   <label>{lang:search_keywords}
-    <input type="text" style="width: 300px" name="search_allwords" size="30"  onfocus="this.className='focus';" onblur="this.className='nofocus';"/>
+    <input type="text" style="width: 300px" name="search_allwords" size="30"  />
   </label>
   <ul>
@@ -34,5 +34,5 @@
   </ul>
   <label>{lang:search_author}
-    <input type="text" style="width: 300px" name="search_author" size="30"  onfocus="this.className='focus';" onblur="this.className='nofocus';"/>
+    <input type="text" style="width: 300px" name="search_author" size="30"  />
   </label>
 </fieldset>
@@ -71,5 +71,5 @@
         <!-- END start_month -->
       </select>
-      <input name="start_year" type="text" size="4" maxlength="4" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+      <input name="start_year" type="text" size="4" maxlength="4" >
     </li>
     <li>
@@ -90,5 +90,5 @@
         <!-- END end_month -->
       </select>
-      <input name="end_year" type="text" size="4" maxlength="4" onfocus="this.className='focus';" onblur="this.className='nofocus';">
+      <input name="end_year" type="text" size="4" maxlength="4" >
     </li>
     <li>
@@ -101,5 +101,5 @@
   <legend>{lang:search_options}</legend>
   <label>{lang:search_categories}
-    <select class="categoryList" name="cat[]" multiple="multiple" onfocus="this.className='categoryList focus';" onblur="this.className='categoryList nofocus';">
+    <select class="categoryList" name="cat[]" multiple="multiple" >
       <!-- BEGIN category_option -->
       <option value="{category_option.VALUE}">{category_option.OPTION}</option>