Index: branches/branch-1_6/admin/include/functions_notification_by_mail.inc.php
===================================================================
--- branches/branch-1_6/admin/include/functions_notification_by_mail.inc.php	(revision 1528)
+++ branches/branch-1_6/admin/include/functions_notification_by_mail.inc.php	(revision 1530)
@@ -35,4 +35,13 @@
           );
 
+if
+  (
+    (!isset($env_nbm['sendmail_timeout'])) or
+    (!is_numeric($env_nbm['sendmail_timeout'])) or
+    ($env_nbm['sendmail_timeout'] <= 0)
+  )
+{
+  $env_nbm['sendmail_timeout'] = $conf['nbm_treatment_timeout_default'];
+}
 
 /*
Index: branches/branch-1_6/include/config_default.inc.php
===================================================================
--- branches/branch-1_6/include/config_default.inc.php	(revision 1528)
+++ branches/branch-1_6/include/config_default.inc.php	(revision 1530)
@@ -206,4 +206,10 @@
 $conf['send_bcc_mail_webmaster'] = false;
 
+// enabled_format_email:
+//  on true email will be formatted with name and address 
+//  on false email will be only address
+// There are webhosting wich not allow email formatted (Lycos, ...)
+$conf['enabled_format_email'] = true;
+
 // check_upgrade_feed: check if there are database upgrade required. Set to
 // true, a message will strongly encourage you to upgrade your database if
@@ -479,10 +485,15 @@
 $conf['nbm_default_value_user_enabled'] = false;
 
-// Search List user to send with quick (List all without check news)
+// Search list user to send quickly (List all without to check news)
 // More quickly but less fun to use
 $conf['nbm_list_all_enabled_users_to_send'] = false;
 
-// Max mails sended on one pass
+// Max time used on one pass in order to send mails.
+// Timeout delay ratio.
 $conf['nbm_max_treatment_timeout_percent'] = 0.8;
+
+// If timeout cannot be compite with nbm_max_treatment_timeout_percent,
+// nbm_treatment_timeout_default is used by default
+$conf['nbm_treatment_timeout_default'] = 20;
 
 // +-----------------------------------------------------------------------+
Index: branches/branch-1_6/include/functions_mail.inc.php
===================================================================
--- branches/branch-1_6/include/functions_mail.inc.php	(revision 1528)
+++ branches/branch-1_6/include/functions_mail.inc.php	(revision 1530)
@@ -79,13 +79,22 @@
 function format_email($name, $email)
 {
-  $cvt7b_name = str_translate_to_ascii7bits($name);
+  global $conf;
 
-  if (strpos($email, '<') === false)
+  if ($conf['enabled_format_email'])
   {
-    return $cvt7b_name.' <'.$email.'>';
+    $cvt7b_name = str_translate_to_ascii7bits($name);
+
+    if (strpos($email, '<') === false)
+    {
+      return $cvt7b_name.' <'.$email.'>';
+    }
+    else
+    {
+      return $cvt7b_name.$email;
+    }
   }
   else
   {
-    return $cvt7b_name.$email;
+    return $email;
   }
 }
@@ -129,5 +138,5 @@
   if ($conf_mail['mail_options'])
   {
-    $options = '-f '.$from;
+    $options = '-f '.$conf_mail['email_webmaster'];
     
     return mail($to, $cvt7b_subject, $content, $headers, $options);
Index: branches/branch-1_6/password.php
===================================================================
--- branches/branch-1_6/password.php	(revision 1528)
+++ branches/branch-1_6/password.php	(revision 1530)
@@ -43,14 +43,6 @@
 if (isset($_POST['submit']))
 {
-  // in case of error, creation of mailto link
-  $query = '
-SELECT '.$conf['user_fields']['email'].'
-  FROM '.USERS_TABLE.'
-  WHERE '.$conf['user_fields']['id'].' = '.$conf['webmaster_id'].'
-;';
-  list($mail_webmaster) = mysql_fetch_array(pwg_query($query));
-
   $mailto =
-    '<a href="mailto:'.$mail_webmaster.'">'
+    '<a href="mailto:'.get_webmaster_mail_address().'">'
     .l10n('Contact webmaster')
     .'</a>'
@@ -93,5 +85,5 @@
           ;
 
-        if (pwg_mail($row['email'], $mail_webmaster, l10n('password updated'), $infos))
+        if (pwg_mail($row['email'], '', l10n('password updated'), $infos))
         {
           $data =