Index: /trunk/template/yoga/mail/text/html/admin/index.php
===================================================================
--- /trunk/template/yoga/mail/text/html/admin/index.php	(revision 1785)
+++ /trunk/template/yoga/mail/text/html/admin/index.php	(revision 1785)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date: 2006-03-15 23:44:35 +0100 (mer., 15 mars 2006) $
+// | last modifier : $Author: plg $
+// | revision      : $Revision: 1082 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/template/yoga/mail/text/html/admin/notification_by_mail.tpl
===================================================================
--- /trunk/template/yoga/mail/text/html/admin/notification_by_mail.tpl	(revision 1785)
+++ /trunk/template/yoga/mail/text/html/admin/notification_by_mail.tpl	(revision 1785)
@@ -0,0 +1,52 @@
+<div id="nbm_mail_content">
+<p>{lang:nbm_content_hello_1}{USERNAME}{lang:nbm_content_hello_2}</p>
+
+<!-- BEGIN subscribe_by_admin -->
+<p>{lang:nbm_content_subscribe_by_admin}</p>
+<!-- END subscribe_by_admin -->
+<!-- BEGIN subscribe_by_himself -->
+<p>{lang:nbm_content_subscribe_by_himself}</p>
+<!-- END subscribe_by_himself -->
+<!-- BEGIN unsubscribe_by_admin -->
+<p>{lang:nbm_content_unsubscribe_by_admin}</p>
+<!-- END unsubscribe_by_admin -->
+<!-- BEGIN unsubscribe_by_himself -->
+<p>{lang:nbm_content_unsubscribe_by_himself}</p>
+<!-- END unsubscribe_by_himself -->
+<!-- BEGIN content_new_elements_single -->
+<p>{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_single}{content_new_elements_single.DATE_SINGLE}{content_new_elements_single.END_PUNCT}</p>
+<!-- END content_new_elements_single -->
+<!-- BEGIN content_new_elements_between -->
+<p>{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_between_1}{content_new_elements_between.DATE_BETWEEN_1}{lang:nbm_content_new_elements_between_2}{content_new_elements_between.DATE_BETWEEN_2}{content_new_elements_between.END_PUNCT}</p>
+<!-- END content_new_elements_between -->
+<!-- BEGIN global_new_line -->
+<ul id="nbm_new_line">
+  <!-- BEGIN new_line -->
+  <li>{global_new_line.new_line.DATA}</li>
+  <!-- END new_line -->
+</ul>
+<!-- END global_new_line -->
+<!-- BEGIN custom -->
+<p>{custom.CUSTOMIZE_MAIL_CONTENT}</p>
+<!-- END custom -->
+<!-- BEGIN goto -->
+<p>{lang:nbm_content_goto_1}<a href="{goto.GALLERY_URL}">{goto.GALLERY_TITLE}</a>{lang:nbm_content_goto_2}</p>
+<!-- END goto -->
+<p>{lang:nbm_content_byebye}</p>
+<p ALIGN=center>{SEND_AS_NAME}</p>
+<p>
+<br/><hr>
+{lang:nbm_content_unsubscribe_link}{lang:nbm_content_click_on}<a href="{UNSUBSCRIBE_LINK}">{UNSUBSCRIBE_LINK}</a><br/>
+{lang:nbm_content_subscribe_link}{lang:nbm_content_click_on}<a href="{SUBSCRIBE_LINK}">{SUBSCRIBE_LINK}</a><br/>
+{lang:nbm_content_problem_contact}<a href="mailto:{CONTACT_EMAIL}?subject={lang:nbm_content_pb_contact_object}">{CONTACT_EMAIL}</a><br/>
+<hr><br/>
+</p>
+<!-- BEGIN recent_post -->
+<p>
+  <!-- BEGIN recent_post_block -->
+  <h2>{recent_post.recent_post_block.TITLE}</h2>
+  {recent_post.recent_post_block.HTML_DATA}
+  <!-- END recent_post_block -->
+</p>
+<!-- END recent_post -->
+</div>
Index: /trunk/template/yoga/mail/text/plain/admin/index.php
===================================================================
--- /trunk/template/yoga/mail/text/plain/admin/index.php	(revision 1785)
+++ /trunk/template/yoga/mail/text/plain/admin/index.php	(revision 1785)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date: 2006-03-15 23:44:35 +0100 (mer., 15 mars 2006) $
+// | last modifier : $Author: plg $
+// | revision      : $Revision: 1082 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/template/yoga/mail/text/plain/admin/notification_by_mail.tpl
===================================================================
--- /trunk/template/yoga/mail/text/plain/admin/notification_by_mail.tpl	(revision 1785)
+++ /trunk/template/yoga/mail/text/plain/admin/notification_by_mail.tpl	(revision 1785)
@@ -0,0 +1,43 @@
+{lang:nbm_content_hello_1}{USERNAME}{lang:nbm_content_hello_2}
+
+<!-- BEGIN subscribe_by_admin -->
+{lang:nbm_content_subscribe_by_admin}
+<!-- END subscribe_by_admin -->
+<!-- BEGIN subscribe_by_himself -->
+{lang:nbm_content_subscribe_by_himself}
+<!-- END subscribe_by_himself -->
+<!-- BEGIN unsubscribe_by_admin -->
+{lang:nbm_content_unsubscribe_by_admin}
+<!-- END unsubscribe_by_admin -->
+<!-- BEGIN unsubscribe_by_himself -->
+{lang:nbm_content_unsubscribe_by_himself}
+<!-- END unsubscribe_by_himself -->
+<!-- BEGIN content_new_elements_single -->
+{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_single}{content_new_elements_single.DATE_SINGLE}{content_new_elements_single.END_PUNCT}
+<!-- END content_new_elements_single -->
+<!-- BEGIN content_new_elements_between -->
+{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_between_1}{content_new_elements_between.DATE_BETWEEN_1}{lang:nbm_content_new_elements_between_2}{content_new_elements_between.DATE_BETWEEN_2}{content_new_elements_between.END_PUNCT}
+<!-- END content_new_elements_between -->
+<!-- BEGIN global_new_line -->
+<!-- BEGIN new_line -->
+  o {global_new_line.new_line.DATA}
+<!-- END new_line -->
+<!-- END global_new_line -->
+<!-- BEGIN custom -->
+
+{custom.CUSTOMIZE_MAIL_CONTENT}
+<!-- END custom -->
+<!-- BEGIN goto -->
+
+{lang:nbm_content_goto_1}{goto.GALLERY_TITLE} {goto.GALLERY_URL} {lang:nbm_content_goto_2}
+<!-- END goto -->
+
+{lang:nbm_content_byebye}
+  {SEND_AS_NAME}
+
+______________________________________________________________________________
+
+{lang:nbm_content_unsubscribe_link}{lang:nbm_content_click_on}{UNSUBSCRIBE_LINK}
+{lang:nbm_content_subscribe_link}{lang:nbm_content_click_on}{SUBSCRIBE_LINK}
+{lang:nbm_content_problem_contact}{CONTACT_EMAIL}
+______________________________________________________________________________