Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 1850)
+++ /trunk/identification.php	(revision 1851)
@@ -29,4 +29,9 @@
 define('PHPWG_ROOT_PATH','./');
 include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_NONE);
 
 //-------------------------------------------------------------- identification
Index: /trunk/include/category_cats.inc.php
===================================================================
--- /trunk/include/category_cats.inc.php	(revision 1850)
+++ /trunk/include/category_cats.inc.php	(revision 1851)
@@ -215,5 +215,7 @@
                                     $category['nb_images'],
                                     $category['count_images'],
-                                    $category['count_categories']
+                                    $category['count_categories'],
+                                    true,
+                                    '<BR>'
                                   ),
           'DESCRIPTION' => @$comment,
@@ -250,5 +252,7 @@
                                     $category['nb_images'],
                                     $category['count_images'],
-                                    $category['count_categories']
+                                    $category['count_categories'],
+                                    true,
+                                    '<BR>'
                                   ),
 
Index: /trunk/include/functions_category.inc.php
===================================================================
--- /trunk/include/functions_category.inc.php	(revision 1850)
+++ /trunk/include/functions_category.inc.php	(revision 1851)
@@ -387,14 +387,23 @@
  * @return string
  */
-function get_display_images_count($cat_nb_images, $cat_count_images, $cat_count_categories, $short_message = true)
+function get_display_images_count($cat_nb_images, $cat_count_images, $cat_count_categories, $short_message = true, $Separator = '\n')
 {
   $display_text = '';
 
-  if ($cat_count_images>0)
-  {//at least one image direct or indirect
+  if ($cat_count_images > 0)
+  {
+    if ($cat_nb_images > 0 and $cat_nb_images < $cat_count_images)
+    {
+      $display_text.= get_display_images_count($cat_nb_images, $cat_nb_images, 0, $short_message, $Separator).$Separator;
+      $cat_count_images-= $cat_nb_images;
+      $cat_nb_images = 0;
+    }
+    
+    //at least one image direct or indirect
     $display_text.= l10n_dec('image_available', 'images_available', $cat_count_images);
 
-    if ($cat_count_categories==0 or $cat_nb_images>=$cat_count_images)
-    {//no descendant categories or descendants do not contain images
+    if ($cat_count_categories == 0 or $cat_nb_images == $cat_count_images)
+    {
+      //no descendant categories or descendants do not contain images
       if (! $short_message)
       {
Index: /trunk/include/functions_html.inc.php
===================================================================
--- /trunk/include/functions_html.inc.php	(revision 1850)
+++ /trunk/include/functions_html.inc.php	(revision 1851)
@@ -471,5 +471,6 @@
                     $category['count_images'],
                     $category['count_categories'],
-                    false
+                    false,
+                    ' / '
                   ).'">';
       // show total number of images
Index: /trunk/include/functions_user.inc.php
===================================================================
--- /trunk/include/functions_user.inc.php	(revision 1850)
+++ /trunk/include/functions_user.inc.php	(revision 1851)
@@ -436,5 +436,5 @@
 
   // if user is not an admin, locked categories are forbidden
-  if ( $user_status!='administrator' and $user_status!='webmaster' )
+  if (!is_admin($user_status))
   {
     $query = '
@@ -982,5 +982,5 @@
 function get_access_type_status($user_status='')
 {
-  global $user;
+  global $user, $conf;
 
   if ($user_status == '' and isset($user['status']) )
@@ -993,4 +993,19 @@
   {
     case 'guest':
+    {
+      if
+        (
+          !isset($user) or
+          ($user['id']==$conf['guest_id'] and !$conf['guest_access'])
+        )
+      {
+        $access_type_status = ACCESS_NONE;
+      }
+      else
+      {
+        $access_type_status = ACCESS_GUEST;
+      }
+      break;
+    }
     case 'generic':
     {
@@ -1023,16 +1038,7 @@
  * @return bool
 */
-function is_autorize_status($access_type)
-{
-  global $user, $conf;
-  if (
-      !isset($user) or
-      ($user['id']==$conf['guest_id'] and $conf['guest_access']==false)
-    )
-  {
-    return ACCESS_NONE>=$access_type;
-  }
-
-  return (get_access_type_status() >= $access_type);
+function is_autorize_status($access_type, $user_status = '')
+{
+  return (get_access_type_status($user_status) >= $access_type);
 }
 
@@ -1043,7 +1049,7 @@
  * @return none
 */
-function check_status( $access_type )
-{
-  if (!is_autorize_status($access_type) )
+function check_status($access_type, $user_status = '')
+{
+  if (!is_autorize_status($access_type, $user_status))
   {
     access_denied();
@@ -1055,7 +1061,7 @@
  * @return bool
 */
-function is_admin()
-{
-  return is_autorize_status(ACCESS_ADMINISTRATOR);
+ function is_admin($user_status = '')
+{
+  return is_autorize_status(ACCESS_ADMINISTRATOR, $user_status);
 }
 
Index: /trunk/nbm.php
===================================================================
--- /trunk/nbm.php	(revision 1850)
+++ /trunk/nbm.php	(revision 1851)
@@ -28,6 +28,8 @@
 
 
+//--------------------------------------------------------------------- include
 define('PHPWG_ROOT_PATH','./');
 include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
+check_status(ACCESS_NONE);
 include_once(PHPWG_ROOT_PATH.'include/functions_notification.inc.php');
 include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 1850)
+++ /trunk/password.php	(revision 1851)
@@ -33,4 +33,9 @@
 include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_NONE);
 
 // +-----------------------------------------------------------------------+
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 1850)
+++ /trunk/register.php	(revision 1851)
@@ -29,4 +29,10 @@
 define('PHPWG_ROOT_PATH','./');
 include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_NONE);
+
 //----------------------------------------------------------- user registration
 
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 1850)
+++ /trunk/search_rules.php	(revision 1851)
@@ -44,4 +44,5 @@
 define('PHPWG_ROOT_PATH','./');
 include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+check_status(ACCESS_NONE);
 include_once( PHPWG_ROOT_PATH.'include/functions_search.inc.php' );
 
Index: /trunk/ws.php
===================================================================
--- /trunk/ws.php	(revision 1850)
+++ /trunk/ws.php	(revision 1851)
@@ -27,4 +27,5 @@
 
 include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
+check_status(ACCESS_NONE);
 include_once(PHPWG_ROOT_PATH.'include/ws_core.inc.php');
 